Right way to upgrade outdates openssl on CentOS4.5 ?